org.springframework.web.socket.messaging

## Class WebSocketAnnotationMethodMessageHandler

- java.lang.Object
- - org.springframework.messaging.handler.invocation.AbstractMethodMessageHandler<org.springframework.messaging.simp.SimpMessageMappingInfo>
  - - org.springframework.messaging.simp.annotation.support.SimpAnnotationMethodMessageHandler
    - - org.springframework.web.socket.messaging.WebSocketAnnotationMethodMessageHandler

All Implemented Interfaces:
  org.springframework.beans.factory.Aware, org.springframework.beans.factory.InitializingBean, org.springframework.context.ApplicationContextAware, org.springframework.context.EmbeddedValueResolverAware, org.springframework.context.Lifecycle, org.springframework.context.Phased, org.springframework.context.SmartLifecycle, org.springframework.messaging.MessageHandler

    public class WebSocketAnnotationMethodMessageHandler
    extends org.springframework.messaging.simp.annotation.support.SimpAnnotationMethodMessageHandler

A sub-class of `SimpAnnotationMethodMessageHandler` to provide support for `ControllerAdvice` with global `@MessageExceptionHandler` methods.

Since:
  4.2
Author:
  Rossen Stoyanchev

### Field Summary

### Fields inherited from class org.springframework.messaging.handler.invocation.AbstractMethodMessageHandler

`logger`

### Fields inherited from interface org.springframework.context.SmartLifecycle

`DEFAULT_PHASE`

### Constructor Summary

Constructors
Constructor and Description
`WebSocketAnnotationMethodMessageHandler(org.springframework.messaging.SubscribableChannel clientInChannel, org.springframework.messaging.MessageChannel clientOutChannel, org.springframework.messaging.simp.SimpMessageSendingOperations brokerTemplate)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `afterPropertiesSet()`

### Methods inherited from class org.springframework.messaging.simp.annotation.support.SimpAnnotationMethodMessageHandler

`createExceptionHandlerMethodResolverFor, getConversionService, getDestination, getDirectLookupDestinations, getHandlerMethodLogger, getHeaderInitializer, getLookupDestination, getMappingComparator, getMappingForMethod, getMatchingMapping, getMessageConverter, getPathMatcher, getReturnValueHandlerLogger, getValidator, handleMatch, initArgumentResolvers, initReturnValueHandlers, isHandler, isRunning, resolveEmbeddedValuesInDestinations, setConversionService, setDestinationPrefixes, setEmbeddedValueResolver, setHeaderInitializer, setMessageConverter, setPathMatcher, setValidator, start, stop, stop`

### Methods inherited from class org.springframework.messaging.handler.invocation.AbstractMethodMessageHandler

`createHandlerMethod, detectHandlerMethods, getApplicationContext, getArgumentResolvers, getCustomArgumentResolvers, getCustomReturnValueHandlers, getDestinationPrefixes, getExceptionHandlerMethod, getHandlerMethods, getReturnValueHandlers, handleMessage, handleMessageInternal, handleNoMatch, processHandlerMethodException, registerExceptionHandlerAdvice, registerHandlerMethod, setApplicationContext, setArgumentResolvers, setCustomArgumentResolvers, setCustomReturnValueHandlers, setReturnValueHandlers, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.springframework.context.SmartLifecycle

`getPhase, isAutoStartup`

### Constructor Detail

#### WebSocketAnnotationMethodMessageHandler

    public WebSocketAnnotationMethodMessageHandler(org.springframework.messaging.SubscribableChannel clientInChannel,
                                                   org.springframework.messaging.MessageChannel clientOutChannel,
                                                   org.springframework.messaging.simp.SimpMessageSendingOperations brokerTemplate)

### Method Detail

#### afterPropertiesSet

    public void afterPropertiesSet()

Specified by:
  `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`
Overrides:
  `afterPropertiesSet` in class `org.springframework.messaging.handler.invocation.AbstractMethodMessageHandler<org.springframework.messaging.simp.SimpMessageMappingInfo>`